Bug 179421 - hook script numbers should leave space at ends
hook script numbers should leave space at ends
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 02:25 EST by Ben Liblit
Modified: 2015-03-04 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 05:33:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 2006-01-31 02:25:58 EST
The current collection of power management hook scripts in "/etc/pm/hooks"
includes "00NetworkManager" and "99clock".  Using the extreme two-digit end
numbers (00 and 99) makes it exceedingly difficult to add any new scripts that
run before NetworkManager suspension or after clock fiddling.

Bug 179420, for example, proposes two scripts that make good sense to go before
and after the existing 00 and 99 scripts.  I needed to give them somewhat absurd
names, such one starting with "000", to get the order right.

The "00NetworkManager" and "99clock" scripts should be renumbered to allow more
space at the ends for other scripts.
Comment 1 Phil Knirsch 2006-02-24 05:33:44 EST
Good idea. I'll move the 00NetworkManager to 10NetworkManager, 10Video to
20Video and 99Clock to 90Clock. That should provide enough room for personal
scripts in any range.

Will be in next build.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.